Package pygccxml :: Package declarations :: Module matchers :: Class declaration_matcher_t

# type declaration_matcher_t

source code

        object --+
                 |
    matcher_base_t --+
                     |
                    declaration_matcher_t

Known Subclasses:
  - calldef_matcher_t
  - , namespace_matcher_t
  - , variable_matcher_t

Instance of this class will match declarations by next criteria:

- declaration name, also could be fully qualified name Example: wstring or ::std::wstring
- declaration type Example: class_t, namespace_t, enumeration_t
- location within file system ( file or directory )

Instance Methods

__init__(self, name=None, decl_type=None, header_dir=None, header_file=None) | source code

__str__(self) | source code

__call__(self, decl) | source code

check_name(self, decl) | source code

is_full_name(self) | source code

Inherited from `matcher_base_t`: `__and__`, `__invert__`, `__or__`

Properties
| name
| decl_name_only

Method Details

### __init__(self, name=None, decl_type=None, header_dir=None, header_file=None)
(Constructor)

source code

Parameters:
  - `decl_type` (any class that derives from declarations.declaration_t class) - declaration type to match by. For example enumeration_t.
  - `name` (str) - declaration name, could be full name.
  - `header_dir` (str) - absolute directory path
  - `header_file` (str) - absolute file path
Overrides: matcher_base_t.__init__

### __str__(self)
(Informal representation operator)

source code

Overrides: matcher_base_t.__str__

### __call__(self, decl)
(Call operator)

source code

Overrides: matcher_base_t.__call__

Property Details

### name

Get Method:
  _get_name(self)
Set Method:
  _set_name(self, name)

### decl_name_only

Get Method:
  _get_decl_name_only(self)